Get case settings

Base URL
https://{kibana_url}
  • GET /api/cases/configure
Auth

Get setting details such as the closure type, custom fields, templates, and the default connector for cases. You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on where the cases were created.

Query parameters

owner union oneOf

A filter to limit the response to a specific set of applications. If this parameter is omitted, the response contains information about all the cases that the user has access to read.

Values: cases observability securitySolution

Responses

Indicates a successful call.

application/json
<array> object[]
closure_type enum

Indicates whether a case is automatically closed when it is pushed to external systems (close-by-pushing) or not automatically closed (close-by-user).

Values: close-by-pushing close-by-user
created_at string · format: date-time
error string nullable
id string
owner enum

The application that owns the cases: Stack Management, Observability, or Elastic Security.

Values: cases observability securitySolution
updated_at string · format: date-time nullable
version string
Base URL
https://{kibana_url}